biterp

List purchase invoices

GET
/purchase-invoices
AuthorizationBearer <token>

In: header

Query Parameters

cursor?string

Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.

limit?integer

Page size from CursorPaginationDto.limit.

Default20
Range1 <= value <= 100
search?string

Full-text search term from CursorPaginationDto.search.

with_deleted?boolean

Include soft-deleted records from CursorPaginationDto.with_deleted.

Defaultfalse
include_payload_search?boolean

Include payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.

Defaultfalse
sort?string

Sort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).

situation?string

Exact match for "situation" (string)

situation[neq]?string

Not equal filter for "situation" (string)

situation[contains]?string

Contains filter for "situation"

situation[not_contains]?string

Does not contain filter for "situation"

status?string

Exact match for "status" (string)

status[neq]?string

Not equal filter for "status" (string)

status[contains]?string

Contains filter for "status"

status[not_contains]?string

Does not contain filter for "status"

supplier_id?string

Exact match for "supplier_id" (UUID)

Formatuuid
supplier_id[neq]?string

Not equal filter for "supplier_id" (UUID)

Formatuuid
operation_type?string

Exact match for "operation_type" (string)

operation_type[neq]?string

Not equal filter for "operation_type" (string)

operation_type[contains]?string

Contains filter for "operation_type"

operation_type[not_contains]?string

Does not contain filter for "operation_type"

product_type?string

Exact match for "product_type" (string)

product_type[neq]?string

Not equal filter for "product_type" (string)

product_type[contains]?string

Contains filter for "product_type"

product_type[not_contains]?string

Does not contain filter for "product_type"

reference_code?string

Exact match for "reference_code" (string)

reference_code[neq]?string

Not equal filter for "reference_code" (string)

reference_code[contains]?string

Contains filter for "reference_code"

reference_code[not_contains]?string

Does not contain filter for "reference_code"

supplier_document_number?string

Exact match for "supplier_document_number" (string)

supplier_document_number[neq]?string

Not equal filter for "supplier_document_number" (string)

supplier_document_number[contains]?string

Contains filter for "supplier_document_number"

supplier_document_number[not_contains]?string

Does not contain filter for "supplier_document_number"

purchase_date?string

Exact match for "purchase_date" (ISO 8601 date (YYYY-MM-DD))

purchase_date[neq]?string

Not equal filter for "purchase_date" (ISO 8601 date (YYYY-MM-DD))

purchase_date[gt]?string

Greater than filter for "purchase_date" (ISO 8601 date (YYYY-MM-DD))

purchase_date[gte]?string

Greater than or equal filter for "purchase_date" (ISO 8601 date (YYYY-MM-DD))

purchase_date[lt]?string

Less than filter for "purchase_date" (ISO 8601 date (YYYY-MM-DD))

purchase_date[lte]?string

Less than or equal filter for "purchase_date" (ISO 8601 date (YYYY-MM-DD))

due_date?string

Exact match for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[neq]?string

Not equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[gt]?string

Greater than filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[gte]?string

Greater than or equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[lt]?string

Less than filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

due_date[lte]?string

Less than or equal filter for "due_date" (ISO 8601 date (YYYY-MM-DD))

created_at?string

Exact match for "created_at" (ISO 8601 datetime)

created_at[neq]?string

Not equal filter for "created_at" (ISO 8601 datetime)

created_at[gt]?string

Greater than filter for "created_at" (ISO 8601 datetime)

created_at[gte]?string

Greater than or equal filter for "created_at" (ISO 8601 datetime)

created_at[lt]?string

Less than filter for "created_at" (ISO 8601 datetime)

created_at[lte]?string

Less than or equal filter for "created_at" (ISO 8601 datetime)

updated_at?string

Exact match for "updated_at" (ISO 8601 datetime)

updated_at[neq]?string

Not equal filter for "updated_at" (ISO 8601 datetime)

updated_at[gt]?string

Greater than filter for "updated_at" (ISO 8601 datetime)

updated_at[gte]?string

Greater than or equal filter for "updated_at" (ISO 8601 datetime)

updated_at[lt]?string

Less than filter for "updated_at" (ISO 8601 datetime)

updated_at[lte]?string

Less than or equal filter for "updated_at" (ISO 8601 datetime)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/purchase-invoices"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "supplier_id": "3cb1e20c-c6c9-4e71-ba66-399c468f697c",
      "financial_account_id": "12004dd2-b67b-4561-b5c8-278b86c292fd",
      "financial_category_id": "a6b66ee2-6cb9-4e40-8c14-5161236f36c0",
      "reference_code": "string",
      "supplier_document_number": "string",
      "supplier_document_series": "string",
      "status": "draft",
      "situation": "string",
      "operation_type": "string",
      "product_type": "string",
      "purchase_date": "2019-08-24",
      "due_date": "2019-08-24",
      "received_date": "2019-08-24",
      "description": "string",
      "notes": "string",
      "discount_amount": "string",
      "discount_rate": "string",
      "subtotal": "string",
      "items_discount": "string",
      "total_discount": "string",
      "total_tax": "string",
      "withheld_total": "string",
      "net_payable_total": "string",
      "total": "string",
      "items": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "purchase_invoice_id": "6494c12d-9877-4bea-b653-beca7297d403",
          "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1",
          "item_description": "string",
          "quantity": "string",
          "unit_price": "string",
          "discount_amount": "string",
          "subtotal": "string",
          "total": "string",
          "position": 0,
          "br_data": {
            "purchase_invoice_item_id": "050b2c3c-e4e6-4e79-8bb8-1181b16398b4",
            "ncm_code": "string",
            "cest_code": "string",
            "cfop": "string",
            "cst": "string",
            "ibs_cbs_cst": "string",
            "ibs_cbs_classification": "string",
            "ibs_cbs_operation_indicator_code": "string",
            "ibs_cbs_is_personal_use": true
          },
          "us_data": {
            "purchase_invoice_item_id": "050b2c3c-e4e6-4e79-8bb8-1181b16398b4",
            "vendor_sku": "string",
            "hts_code": "string",
            "tax_code": "string",
            "purchase_tax_category": "string"
          }
        }
      ],
      "taxes": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "purchase_invoice_id": "6494c12d-9877-4bea-b653-beca7297d403",
          "purchase_invoice_item_id": "050b2c3c-e4e6-4e79-8bb8-1181b16398b4",
          "tax_code": "string",
          "tax_name": "string",
          "base_amount": "string",
          "rate": "string",
          "amount": "string",
          "jurisdiction": "string",
          "is_withheld": true,
          "is_included": true,
          "position": 0
        }
      ],
      "br_data": {
        "purchase_invoice_id": "6494c12d-9877-4bea-b653-beca7297d403",
        "nfe_access_key": "string",
        "nfe_number": "string",
        "nfe_series": "string",
        "issuer_cnpj": "string",
        "issuer_ie": "string",
        "issuer_name": "string",
        "capture_status": "string"
      },
      "us_data": {
        "purchase_invoice_id": "6494c12d-9877-4bea-b653-beca7297d403",
        "po_number": "string",
        "vendor_invoice_number": "string",
        "net_terms": 0,
        "form_1099_type": "string",
        "form_1099_reportable": true,
        "use_tax_self_assessed": true
      },
      "supplier": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "legal_name": "string",
        "trade_name": "string",
        "tax_id": "string"
      },
      "deleted_by_user_id": "e06321af-43d5-4340-818b-555f83254c47",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "deleted_at": "2019-08-24T14:15:22Z"
    }
  ],
  "pagination": {
    "limit": 0,
    "has_next_page": true,
    "has_previous_page": true,
    "current_query_cursor": "string",
    "current_page_cursor": "string",
    "next_cursor": "string",
    "previous_cursor": "string"
  },
  "meta": {
    "filters": {},
    "search": "string",
    "sort": {
      "field": "string",
      "order": "asc"
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}